Package org.h2.expression.analysis

# Enum Class WindowFrameBoundType

java.lang.Object
java.lang.Enum<WindowFrameBoundType>
org.h2.expression.analysis.WindowFrameBoundType

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowFrameBoundType>`, `Constable`

public enum WindowFrameBoundType extends Enum<WindowFrameBoundType>
Window frame bound type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CURRENT_ROW`
CURRENT_ROW clause.
`FOLLOWING`
FOLLOWING clause.
`PRECEDING`
PRECEDING clause.
`UNBOUNDED_FOLLOWING`
UNBOUNDED FOLLOWING clause.
`UNBOUNDED_PRECEDING`
UNBOUNDED PRECEDING clause.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSQL()`
Returns SQL representation.
`static WindowFrameBoundType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WindowFrameBoundType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNBOUNDED_PRECEDING

public static final WindowFrameBoundType UNBOUNDED_PRECEDING
UNBOUNDED PRECEDING clause.

### PRECEDING

public static final WindowFrameBoundType PRECEDING
PRECEDING clause.

### CURRENT_ROW

public static final WindowFrameBoundType CURRENT_ROW
CURRENT_ROW clause.

### FOLLOWING

public static final WindowFrameBoundType FOLLOWING
FOLLOWING clause.

### UNBOUNDED_FOLLOWING

public static final WindowFrameBoundType UNBOUNDED_FOLLOWING
UNBOUNDED FOLLOWING clause.

## Method Details

### values

public static WindowFrameBoundType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WindowFrameBoundType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSQL

public String getSQL()
Returns SQL representation.

Returns:
  SQL representation.
See Also:
  - `Expression.getSQL(int)`